Loading...
Searching...
No Matches
pw_session_info Struct Reference
Extensions » Session Manager

`#include <pipewire/extensions/session-manager/introspect.h>`

## Data Fields

uint32_t | version
| version of this structure
uint32_t | id
| the session id (global)
uint64_t | change_mask
| bitfield of changed fields since last call
struct spa_param_info * | params
| parameters
uint32_t | n_params
| number of items in params

## Field Documentation

## version

uint32_t pw_session_info::version

version of this structure

## id

uint32_t pw_session_info::id

the session id (global)

## change_mask

uint64_t pw_session_info::change_mask

bitfield of changed fields since last call

## params

struct spa_param_info* pw_session_info::params

parameters

## n_params

uint32_t pw_session_info::n_params

number of items in params

The documentation for this struct was generated from the following file:

- pipewire/extensions/session-manager/introspect.h